Subject: losing mail - Pine+MBX+procmail

From: Andrew Daviel <[email-masked]>
Date: Thu, 7 Feb 2002 11:59:06 -0800 (PST)

I have a problem where occasionally mail disappears on me.
Normally, I have Pine running opened on some folder, usually the default 
inbox. I have procmail delivering mail to a number of inboxes in MBX 
format, cloning some of them for an audible alert. Sometimes I have 
another session of Pine running, maybe logged in from another machine.
Normally everything works OK. But I have noticed a few times that some 
mail comes in and is lost somehow - I see it in the procmail log file and
sendmail logs, but can't find it in any folder.

For instance, I have procmail rules like:
:0 
* X-Spam-List
|dmail +mail/spam

:0 c 
* ^To:.*andrew@
|dmail +mail/mbox

:0 AhW
|nmail MBOX

(nmail is the newmail alert)

so I get procmail log entries like
 Subject: New Pill Adds 1 to 3 inchs ..
  Folder: dmail +mail/spam             5516
delivered to /home/andrew/mail/spam

 ... hmm, actually I'm not sure if this is the same problem I'd seen 
before. I had DEFAULT=|dmail +mail/junk
and have seen a couple of things like
  Folder: |dmail
and the mail disappeared, maybe because nothing matched and the DEFAULT 
syntax was wrong. But in the past I'd seen some mail trigger the alert but 
not appear in the corresponding box.

Blasted intermittant problems - if I turn on incredibly verbose debugging
I'll be awash in logfiles, and if I don't know what's causing it I can't
send myself test messages and run a debugger.

- has anyone else seen this ?

- If I have RedHat Linux 6.2, and use MBX mailboxes, do I need to use 
lockfiles in procmail and/or Pine and should I try to get them to use the 
same ones ? I vaguely remember that with MBX I can have multiple Pine 
sessions accessing the same mailbox without problems (and indeed I can - 
the problem seems (I think) to be mail being lost when it arrives rather 
than mail being deleted by Pine before I've read it)

-- 
Andrew Daviel, TRIUMF, Canada
Tel. +1 (604) 222-7376
[email-masked]

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------